---
Name: ol-7-dvd-install
Description: Oracle Linux 7 installer
Documentation: |
  This BootEnv installs the latest Oracle Linux 7 from ISO.

  ISOs can be downloaded from:

    * <https://yum.oracle.com/oracle-linux-isos.html>
Meta:
  type: os
  feature-flags: change-stage-v2
  icon: linux
  color: blue
  title: Digital Rebar Community Content
  group-by: Oracle
Loaders:
  amd64-uefi: EFI/BOOT/BOOTX64.EFI
  arm64-uefi: EFI/BOOT/BOOTAA64.EFI
OS:
  Family: redhat
  Version: "7.9"
  Name: ol-7-dvd
  SupportedArchitectures:
    x86_64:
      IsoFile: OracleLinux-R7-U9-Server-x86_64-dvd.iso
      IsoUrl: https://yum.oracle.com/ISOS/OracleLinux/OL7/u9/x86_64/OracleLinux-R7-U9-Server-x86_64-dvd.iso
      Sha256: 28d2928ded40baddcd11884b9a6a611429df12897784923c346057ec5cdd1012
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        ks={{.Machine.Url}}/compute.ks
        method={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
    aarch64:
      Loader: grubarm64.efi
      IsoFile: OracleLinux-R7-U9-Server-aarch64-dvd.iso
      Sha256: fd2c1b1e26858576534f6e6c4cf000a15cd81bec010dad5e827b204a14a1750e
      IsoUrl: https://yum.oracle.com/ISOS/OracleLinux/OL7/u9/aarch64/OracleLinux-R7-U9-Server-aarch64-dvd.iso
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        ks={{.Machine.Url}}/compute.ks
        method={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
RequiredParams:
OptionalParams:
  - operating-system-disk
  - provisioner-default-password-hash
  - kernel-console
  - kernel-options
  - proxy-servers
  - select-kickseed
  - init-options
  - kickstart-base-packages
  - extra-packages
Templates:
  - Name: kexec
    ID: kexec.tmpl
    Path: "{{.Machine.Path}}/kexec"
  - ID: default-pxelinux.tmpl
    Name: pxelinux
    Path: "pxelinux.cfg/{{.Machine.HexAddress}}"
  - ID: default-ipxe.tmpl
    Name: ipxe
    Path: "{{.Machine.Address}}.ipxe"
  - ID: default-pxelinux.tmpl
    Name: pxelinux-mac
    Path: 'pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}'
  - ID: default-ipxe.tmpl
    Name: ipxe-mac
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
  - ID: default-grub.tmpl
    Name: grub
    Path: "grub/{{.Machine.Address}}.cfg"
  - ID: default-grub.tmpl
    Name: grub-mac
    Path: 'grub/{{.Machine.MacAddr "grub"}}.cfg'
  - Name: grub-http-boot
    Path: '{{.Env.PathFor "tftp" ""}}/EFI/BOOT/grub.cfg'
    ID: default-grub.tmpl
  - ID: select-kickseed.tmpl
    Name: compute.ks
    Path: "{{.Machine.Path}}/compute.ks"
